DBIx::Class::Storage::DBI::Oracle::WhereJoins(3)

NAME
DBIx::Class::Storage::DBI::Oracle::WhereJoins - Oracle joins in WHERE syntax support (instead of ANSI).

PURPOSE
This module is used with Oracle < 9.0 due to lack of support for standard ANSI join syntax.

SYNOPSIS
DBIx::Class should automagically detect Oracle and use this module with no work from you.

DESCRIPTION
This class implements Oracle's WhereJoin support. Instead of:

    SELECT x FROM y JOIN z ON y.id = z.id

It will write:

    SELECT x FROM y, z WHERE y.id = z.id

It should properly support left joins, and right joins. Full outer joins are not possible due to the fact that Oracle requires the entire query be written to union the results of a left and right join, and by the time this module is called to create the where query and table definition part of the SQL query, it's already too late.

METHODS
See DBIx::Class::SQLMaker::OracleJoins for implementation details.

BUGS
Does not support full outer joins. Probably lots more.

SEE ALSO

DBIx::Class::SQLMaker
DBIx::Class::SQLMaker::OracleJoins
DBIx::Class::Storage::DBI::Oracle::Generic
DBIx::Class

AUTHOR
Justin Wheeler "<jwheeler@datademons.com>"

CONTRIBUTORS
David Jack Olrik "<djo@cpan.org>"

LICENSE
This module is licensed under the same terms as Perl itself.